Bug 1490058 (portpub) - Review Request: portpub - Publish a service from localhost onto your server
Summary: Review Request: portpub - Publish a service from localhost onto your server
Keywords:
Status: CLOSED ERRATA
Alias: portpub
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-09 18:37 UTC by Zamir SUN
Modified: 2017-10-27 17:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-02 12:47:22 UTC
sztsian: fedora-review?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1497687 None None None Never

Internal Links: 1497687

Description Zamir SUN 2017-09-09 18:37:02 UTC
Spec URL: https://zsun.fedorapeople.org/pub/pkgs/portpub/portpub.spec
SRPM URL: https://zsun.fedorapeople.org/pub/pkgs/portpub/portpub-0-0.1.20170406gitccd226a.fc26.src.rpm
Description: Publish a service from localhost onto your server
Fedora Account System Username: zsun

Comment 1 Zamir SUN 2017-09-09 18:43:13 UTC
> %if 0%{!?_unitdir:1}
> %global _unitdir /usr/lib/systemd/system
> %endif
This is a workaround for Fedora Rawhide. It shows _unitdir is not defined when I mock build. So it caused an error in rpmlint,
> portpub.src:6: E: hardcoded-library-path in /usr/lib/systemd/system
which should not be treated as error in fact.

Comment 2 Robert-André Mauchin 2017-09-11 14:00:17 UTC
Hello,

 - %defattr(-,root,root,-) should not be used. %attr(0644,root,root) shouldn't either, because 0644 is already the default.

 - You need to add ExclusiveArches because it's a Golang package so only available on Golang supported arches:

ExclusiveArch:  %{?go_arches:%{go_arches}}%{!?go_arches:%{ix86} x86_64 aarch64 %{arm}}


Otherwise the package seems fine.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 7 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/portpub/review-portpub/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in portpub-
     local , portpub-relay , portpub-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: portpub-local-0-0.1.20170406gitccd226a.fc28.x86_64.rpm
          portpub-relay-0-0.1.20170406gitccd226a.fc28.x86_64.rpm
          portpub-debuginfo-0-0.1.20170406gitccd226a.fc28.x86_64.rpm
          portpub-0-0.1.20170406gitccd226a.fc28.src.rpm
portpub-local.x86_64: W: spelling-error Summary(en_US) localhost -> local host, local-host, holocaust
portpub-local.x86_64: W: spelling-error %description -l en_US localhost -> local host, local-host, holocaust
portpub-local.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
portpub-local.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
portpub-local.x86_64: W: no-manual-page-for-binary portpub-local
portpub-relay.x86_64: W: spelling-error Summary(en_US) localhost -> local host, local-host, holocaust
portpub-relay.x86_64: W: spelling-error %description -l en_US localhost -> local host, local-host, holocaust
portpub-relay.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
portpub-relay.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
portpub-relay.x86_64: W: no-manual-page-for-binary portpub-relay
portpub.src: W: spelling-error Summary(en_US) localhost -> local host, local-host, holocaust
portpub.src: W: spelling-error %description -l en_US localhost -> local host, local-host, holocaust
4 packages and 0 specfiles checked; 0 errors, 12 warnings.

Comment 4 Robert-André Mauchin 2017-09-15 13:28:11 UTC
Everything is good, package accepted

Comment 5 Gwyn Ciesla 2017-09-15 13:48:42 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/portpub

Comment 6 Fedora Update System 2017-09-15 15:44:07 UTC
portpub-0-0.1.20170406gitccd226a.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8124a507a2

Comment 7 Fedora Update System 2017-09-16 04:26:10 UTC
portpub-0-0.1.20170406gitccd226a.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8124a507a2

Comment 8 Zamir SUN 2017-09-18 06:54:05 UTC
(In reply to Robert-André Mauchin from comment #4)
> Everything is good, package accepted

Hi,
Unfortunately, portpub upstream renamed the day I build it in koji. I will re-use this for renaming process since this is not closed.

Comment 9 Zamir SUN 2017-10-02 12:47:22 UTC
I'm changing this as FIXED since it already landed in Rawhide. And will file a new review for rename.

Comment 10 Fedora Update System 2017-10-27 17:05:35 UTC
portpub-0-0.1.20170406gitccd226a.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.